How to upgrade to v28 if I have used Pminstaller previously?

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderators: trava90, satrow

Samsemilia
New to the forum
New to the forum
Posts: 2
Joined: Sat, 18 Mar 2017, 09:03

How to upgrade to v28 if I have used Pminstaller previously?

Unread postby Samsemilia » Fri, 21 Sep 2018, 06:19

How can I upgrade to v28 if I have used Pminstaller previously?
I especially want to keep settings, bookmarks etc. To my understanding, the guides I found explain how to install a fresh version, without migrating existing data.

Thanks
Last edited by Samsemilia on Fri, 21 Sep 2018, 06:20, edited 2 times in total.

fillerup
Lunatic
Lunatic
Posts: 433
Joined: Mon, 19 May 2014, 19:14
Location: Finland

Re: How to upgrade to v28 if I have used Pminstaller previously?

Unread postby fillerup » Fri, 21 Sep 2018, 07:34

make a copy of your profile folder (/home/.moonchild productions/profiles/yourprofile) (might not be necessary, but i wanna be safe)

use pminstaller to remove pm 27

follow the aforementioned instructions to install PM 28

copy your profile folder(s) back into that directory

User avatar
spacy01
Apollo supporter
Apollo supporter
Posts: 40
Joined: Tue, 02 Feb 2016, 11:42

Re: How to upgrade to v28 if I have used Pminstaller previously?

Unread postby spacy01 » Fri, 21 Sep 2018, 08:15

If you used a pminstaller till now, the Pale Moon folder must be in /opt. So, you can download Pale Moon 28.x.x from official page. Select the right architecture for you, according from your CPU, extract and move the palemoon folder into /opt (replacing the old one). After that, the Pale Moon will update itself automatically. Enjoy!

If you use Arch based distro, you can use the pminstaller to uninstall your old version, and install the last version with your package manager (or you can use pacman and install it from terminal, of course! ;) )

If you use Pale Moon on language, different from English, you may need to update the language pack manually, from github page on @JustOff.

User avatar
trava90
Contributing developer
Contributing developer
Posts: 1503
Joined: Mon, 20 May 2013, 18:19
Location: Earth
Contact:

Re: How to upgrade to v28 if I have used Pminstaller previously?

Unread postby trava90 » Fri, 21 Sep 2018, 12:28

trava90 wrote:Please note that in order for the internal updater to work, the browser must be located in a user-writable location. If you previously used the pminstaller to install Pale Moon 27.x, then the browser is located in /opt which by default is not writable by a standard user account. In order to allow the internal updater to work with v28 (while leaving Pale Moon in /opt), you can perform the following steps:

1. Extract the Pale Moon 28 tarball (once released) to /opt, overriding the existing version there.
2. Run the following command from the terminal: sudo chown -R "$USER:$USER" "/opt/palemoon"

Alternatively you can also simply extract Pale Moon 28 to any user-writable location you'd like such as your Desktop or home directory, though do note that if you do this you will have to update the Pale Moon launcher in your application menu to point to the new location.


Return to “Pale Moon for Linux”

Who is online

Users browsing this forum: No registered users and 7 guests